/*
*	an example program for rdline()
*/

#include <u.h>
#include <libc.h>
#include "misc.h"

void
usage(void)
{
	fprint(2,"usage: 8.out file\n");
	exits("usage");
}

void
main(int argc, char *argv[])
{
	int fd;
	Rdbuf *rb;
	char *p;

	ARGBEGIN{
	default: usage();
	}ARGEND

	if(*argv == nil)
		usage();
	fd = open(*argv,OREAD);
	if(fd < 0)
		sysfatal("%s not exist", *argv);
	//rb = rdinit(fd, 1);// for debugging
	rb = rdinit(fd, 32*1024);
	while((p = rdline(rb))){ /* assign = */
		print("%4d: %s\n", rdlnlen(rb), p);
	}
	rdfree(rb);
}
